/**
 * CourseManager lists all our courses (or other activities), 
 * using our LinkedList class
 * 
 * @author Sara Sheehan
 * @version February 17, 2016
 */
public class CourseManager {

	public static void main(String[] args) {
		
		// create a new empty list (like Python: lst = [])
		LinkedList courses = new LinkedList();
		
		// add a few courses to the end of the list
		courses.add("CSC 212");
		courses.add("CSC 102");
		
		// check the number of courses
		int numCourses = courses.size();
		System.out.println("Number of courses: " + numCourses);
		System.out.println();
		
		// get a course at a specific index
		System.out.println("Course 0: " + courses.get(0));
		System.out.println("Course 1: " + courses.get(1));
		System.out.println("Course 2: " + courses.get(2));
		System.out.println();
		
		// add a course at a specific index
		courses.add(1, "aerobics");
		System.out.println("Course 0: " + courses.get(0));
		System.out.println("Course 1: " + courses.get(1));
		System.out.println("Course 2: " + courses.get(2));
		System.out.println("Number of courses: " + courses.size());
		System.out.println();
		
		// add courses until you reach your schedule,
		// in an order that makes sense for you
		courses.add(3, "CSC 103");
		courses.add(0, "yoga");
		System.out.println("Number of courses: " + courses.size());
		for (int i=0; i < courses.size(); i++) {
			System.out.println("Course " + i + ": " + courses.get(i));
		}
		System.out.println();
		
		// remove courses you're not taking
		courses.remove(3);
		System.out.println("Number of courses: " + courses.size());
		for (int i=0; i < courses.size(); i++) {
			System.out.println("Course " + i + ": " + courses.get(i));
		}
	}
}
